{% extends 'base.html'%}

{% block content %}
<div class="container">

    <div class="row">
      <div class="col-sm-12 features section-description wow fadeIn">
        <h2>Liste des projets</h2>
        <div class="divider-1">
          <div class="line"></div>
        </div>
      </div>
    </div>

  <div class="row">
    <div class="card-columns">
      {% for project in projects %}
      <div class="card border-light wow fadeIn">
        <img class="card-img-top" src="/static/uploads/{{ project.images.first().image_name }}" alt="Card image cap">
        <div class="card-body">
          <h5 class="card-title">{{project.title}}</h5>
          <p class="card-text">{{project.body |truncate(255, True, '...', 10)}}</p>
        </div>
        <div class="card-footer">
          <a href="{{ url_for('project_details', project_name=project.title, project_id=project.id) }}" class="btn btn-primary">Découvrir</a>
          {% if current_user.is_authenticated and current_user.urole == "Admin" %}
          <button type="button" class="btn btn-danger wow fadeIn" data-toggle="modal" data-target="#myModal" data-project="{{project.id}}">
            Supprimer
          </button>
          {% endif %}
        </div>
      </div>
      {% endfor %}
      {% if current_user.is_authenticated and current_user.urole == "Admin" %}
      <div class="card border-light wow fadeIn">
        <div class="card-body">
          <h5 class="card-title">Ajouter un projet</h5>
        </div>
        <div class="card-footer">
          <a href="{{ url_for('add_project') }}" class="btn btn-primary">Créer</a>
        </div>
      </div>
      {% endif %}
    </div>
  </div>

</div>
<br>
{% if current_user.is_authenticated and current_user.urole == "Admin" %}
<!-- The Modal -->
<form name="myModal" id="delete_project" class="modal-form" method="post" action="#">
  <div class="modal" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Confirmez la suppression du projet</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
          <input type="submit" class="btn btn-danger" name="delete" value="Supprimer">
        </div>
      </div>
    </div>
  </div>
</form>
{% endif %}
{% endblock content %}

{% block javascript %}
<script>
$('#myModal').on('show.bs.modal', function (event) {
  var button = $(event.relatedTarget) // Button that triggered the modal
  var projectId = button.data('project') // Extract info from data-* attributes
  // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
  // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
  // var modal = $(this)
  // modal.find('.modal-form ').text('New message to ' + recipient)
  // modal.find('.modal-body input').val(recipient)
  document.myModal.action = "/delete/" + projectId;
})
</script>
{% endblock javascript %}